package controllers

import (
	"gocommunity.ru/workshop/internal/models"
	u "gocommunity.ru/workshop/internal/utils"
	"encoding/json"
	"net/http"
)

var CreateService = func(w http.ResponseWriter, r *http.Request) {
	account := &models.Service{}
	err := json.NewDecoder(r.Body).Decode(account)
	if err != nil {
		u.Respond(w, u.Message(false, "Invalid request!"))
		return
	}
	resp := account.CreateService()
	u.Respond(w, resp)
}
